<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:45 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>RegistrationRepository (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RegistrationRepository (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistrationRepository.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/repositories/RegistrationCenterUserRepository.html" title="interface in io.mosip.registration.repositories"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/repositories/RegTransactionRepository.html" title="interface in io.mosip.registration.repositories"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/repositories/RegistrationRepository.html" target="_top">Frames</a></li>
<li><a href="RegistrationRepository.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.repositories</div>
<h2 title="Interface RegistrationRepository" class="title">Interface RegistrationRepository</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>io.mosip.kernel.core.dataaccess.spi.repository.BaseRepository&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;, org.springframework.data.repository.CrudRepository&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;, org.springframework.data.jpa.repository.JpaRepository&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;, org.springframework.data.repository.PagingAndSortingRepository&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;, org.springframework.data.repository.query.QueryByExampleExecutor&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;, org.springframework.data.repository.Repository&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">RegistrationRepository</span>
extends io.mosip.kernel.core.dataaccess.spi.repository.BaseRepository&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</pre>
<div class="block">The repository interface for <a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Balaji Sridharan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByclientStatusCode-java.lang.String-">findByclientStatusCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusCode)</code>
<div class="block">This method returns the list of <a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a> based on status code</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByClientStatusCodeAndId-java.lang.String-java.lang.String-">findByClientStatusCodeAndId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatusCode,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</code>
<div class="block">Find by client status code and id.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByClientStatusCodeAndServerStatusCode-java.lang.String-java.lang.String-">findByClientStatusCodeAndServerStatusCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatus,
                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatus)</code>
<div class="block">Fetching all the re registration records.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByClientStatusCodeInOrderByUpdDtimesDesc-java.util.List-">findByClientStatusCodeInOrderByUpdDtimesDesc</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</code>
<div class="block">This method fetches the registration packets based on given client status
 codes.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByClientStatusCodeInOrServerStatusCodeOrderByUpdDtimesDesc-java.util.List-java.lang.String-">findByClientStatusCodeInOrServerStatusCodeOrderByUpdDtimesDesc</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes,
                                                              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatus)</code>
<div class="block">To fetch the records for Packet Upload.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByclientStatusCodeOrderByCrDtimeAsc-java.lang.String-">findByclientStatusCodeOrderByCrDtimeAsc</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusCode)</code>
<div class="block">This method returns the list of <a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a> based on status code.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByCrDtimeBefore-java.sql.Timestamp-">findByCrDtimeBefore</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;crDtimes)</code>
<div class="block">Find by CrDtimes and client status code.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByCrDtimeBeforeAndServerStatusCode-java.sql.Timestamp-java.lang.String-">findByCrDtimeBeforeAndServerStatusCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;crDtimes,
                                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatus)</code>
<div class="block">Find by CrDtimes and client status code.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByServerStatusCodeIn-java.util.List-">findByServerStatusCodeIn</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</code>
<div class="block">fetches all the Registration records which is having the given server status
 codes.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByServerStatusCodeNotIn-java.util.List-">findByServerStatusCodeNotIn</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</code>
<div class="block">fetches all the Registration records which is not having the given server
 status codes.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByStatusCodes-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">findByStatusCodes</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientstatusCode,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;exportstatusCode,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatusCode,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileUploadStatus)</code>
<div class="block">This method returns the list of <a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a> based on provided id's.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.kernel.core.dataaccess.spi.repository.BaseRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;io.mosip.kernel.core.dataaccess.spi.repository.BaseRepository</h3>
<code>create, createNamedQuerySelect, createNamedQueryUpdateOrDelete, createQuerySelect, createQuerySelect, createQueryUpdateOrDelete, delete, findAll, findById, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.jpa.repository.JpaRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.jpa.repository.JpaRepository</h3>
<code>deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getOne, saveAll, saveAndFlush</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.repository.PagingAndSortingRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.PagingAndSortingRepository</h3>
<code>findAll</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.repository.CrudRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.CrudRepository</h3>
<code>count, delete, deleteAll, deleteAll, deleteById, existsById, findById, save</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.repository.query.QueryByExampleExecutor">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.query.QueryByExampleExecutor</h3>
<code>count, exists, findAll, findOne</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="findByStatusCodes-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByStatusCodes</h4>
<pre>@Query(value="select reg from Registration reg where reg.clientStatusCode= :syncStatus or reg.clientStatusCode= :exportStatus and (reg.serverStatusCode=:resendStatus or reg.serverStatusCode IS NULL) or reg.fileUploadStatus=:fileUploadStatus")
<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;findByStatusCodes(@Param(value="syncStatus")
                                                                                                                                                                                                                                                                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientstatusCode,
                                                                                                                                                                                                                                                                                         @Param(value="exportStatus")
                                                                                                                                                                                                                                                                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;exportstatusCode,
                                                                                                                                                                                                                                                                                         @Param(value="resendStatus")
                                                                                                                                                                                                                                                                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatusCode,
                                                                                                                                                                                                                                                                                         @Param(value="fileUploadStatus")
                                                                                                                                                                                                                                                                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileUploadStatus)</pre>
<div class="block">This method returns the list of <a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a> based on provided id's.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clientstatusCode</code> - the clientstatus code</dd>
<dd><code>exportstatusCode</code> - the exportstatus code</dd>
<dd><code>serverStatusCode</code> - the server status code</dd>
<dd><code>fileUploadStatus</code> - the file upload status</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of <a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a></dd>
</dl>
</li>
</ul>
<a name="findByclientStatusCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByclientStatusCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;findByclientStatusCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusCode)</pre>
<div class="block">This method returns the list of <a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a> based on status code</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statusCode</code> - the status code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of <a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a></dd>
</dl>
</li>
</ul>
<a name="findByClientStatusCodeInOrderByUpdDtimesDesc-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByClientStatusCodeInOrderByUpdDtimesDesc</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;findByClientStatusCodeInOrderByUpdDtimesDesc(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</pre>
<div class="block">This method fetches the registration packets based on given client status
 codes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statusCodes</code> - the status codes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of registration packets</dd>
</dl>
</li>
</ul>
<a name="findByClientStatusCodeInOrServerStatusCodeOrderByUpdDtimesDesc-java.util.List-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByClientStatusCodeInOrServerStatusCodeOrderByUpdDtimesDesc</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;findByClientStatusCodeInOrServerStatusCodeOrderByUpdDtimesDesc(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes,
                                                                                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatus)</pre>
<div class="block">To fetch the records for Packet Upload.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statusCodes</code> - the status codes</dd>
<dd><code>serverStatus</code> - the server status</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of registration packets</dd>
</dl>
</li>
</ul>
<a name="findByClientStatusCodeAndServerStatusCode-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByClientStatusCodeAndServerStatusCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;findByClientStatusCodeAndServerStatusCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatus,
                                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatus)</pre>
<div class="block">Fetching all the re registration records.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clientStatus</code> - the client status</dd>
<dd><code>serverStatus</code> - the server status</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of registration packets</dd>
</dl>
</li>
</ul>
<a name="findByCrDtimeBefore-java.sql.Timestamp-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByCrDtimeBefore</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;findByCrDtimeBefore(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;crDtimes)</pre>
<div class="block">Find by CrDtimes and client status code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>crDtimes</code> - the date upto packets to be deleted</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of registrations</dd>
</dl>
</li>
</ul>
<a name="findByclientStatusCodeOrderByCrDtimeAsc-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByclientStatusCodeOrderByCrDtimeAsc</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;findByclientStatusCodeOrderByCrDtimeAsc(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusCode)</pre>
<div class="block">This method returns the list of <a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a> based on status code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statusCode</code> - the status code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of <a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a></dd>
</dl>
</li>
</ul>
<a name="findByClientStatusCodeAndId-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByClientStatusCodeAndId</h4>
<pre><a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;findByClientStatusCodeAndId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatusCode,
                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</pre>
<div class="block">Find by client status code and id.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clientStatusCode</code> - the client status code</dd>
<dd><code>id</code> - the registration id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the registration</dd>
</dl>
</li>
</ul>
<a name="findByCrDtimeBeforeAndServerStatusCode-java.sql.Timestamp-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByCrDtimeBeforeAndServerStatusCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;findByCrDtimeBeforeAndServerStatusCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;crDtimes,
                                                          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatus)</pre>
<div class="block">Find by CrDtimes and client status code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>crDtimes</code> - the date upto packets to be deleted</dd>
<dd><code>clientStatus</code> - status of resgistrationPacket</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of registrations</dd>
</dl>
</li>
</ul>
<a name="findByServerStatusCodeIn-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByServerStatusCodeIn</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;findByServerStatusCodeIn(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</pre>
<div class="block">fetches all the Registration records which is having the given server status
 codes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statusCodes</code> - the status codes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of registrations</dd>
</dl>
</li>
</ul>
<a name="findByServerStatusCodeNotIn-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>findByServerStatusCodeNotIn</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;findByServerStatusCodeNotIn(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</pre>
<div class="block">fetches all the Registration records which is not having the given server
 status codes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statusCodes</code> - the status codes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of registrations</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistrationRepository.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/repositories/RegistrationCenterUserRepository.html" title="interface in io.mosip.registration.repositories"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/repositories/RegTransactionRepository.html" title="interface in io.mosip.registration.repositories"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/repositories/RegistrationRepository.html" target="_top">Frames</a></li>
<li><a href="RegistrationRepository.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
